Bug 471798 - gkrellm doesn't redraw the window when resized due to new component added
gkrellm doesn't redraw the window when resized due to new component added
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gkrellm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 11:19 EST by Martí­n Marqués
Modified: 2009-06-10 08:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 08:08:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Gkrellm with wifi not well drawn (19.41 KB, image/png)
2008-11-16 11:19 EST, Martí­n Marqués
no flags Details

  None (edit)
Description Martí­n Marqués 2008-11-16 11:19:50 EST
Created attachment 323723 [details]
Gkrellm with wifi not well drawn

Description of problem:

gkrellm doesn't refresh (or redraw itself) when a new component comes up.

Version-Release number of selected component (if applicable):

gkrellm-2.3.1-5.fc9.x86_64

How reproducible:

When a new network interface comes up (usually with wireless lan adapters) it gets added, and the gkrellm windows is now longer, but the lower part of the window shows the background of the desktop.

This happens with KDE. Don't know about GNOME as I don't use it.

I added a png that shows what I'm trying to express



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hans de Goede 2008-11-17 03:55:23 EST
Thanks for reporting.

I believe this specific issue is best handled by upstream, so I've mailed upstream about it (with you in the CC).
Comment 2 Martí­n Marqués 2008-11-17 11:30:23 EST
Something I forgot to mention:

rolling up the gkrellm window and then unrolling it  makes the window get redrawn.
Comment 3 Ville Skyttä 2008-11-17 12:46:14 EST
FWIW, I run gkrellm in F-9 KDE, and don't see this problem.  The interfaces that come and go in my setup are tun* ones created by OpenVPN, but I suppose that difference shouldn't matter.  I have "Use window manager decorations" unchecked in General->Properties - dunno if that matters either but it makes my gkrellm look quite different than in the attached PNG.
Comment 4 Martí­n Marqués 2008-11-17 13:54:34 EST
Now that's strange. I have no General->properties option in system settings. What version  of KDE are you using?
Comment 5 Ville Skytta 2008-11-17 15:14:30 EST
Not system settings but gkrellm config: right-click on the hostname shown in gkrellm, then Configuration->General->Properties.
Comment 6 Martí­n Marqués 2008-11-18 05:08:56 EST
OK, just checked some other things related to this bug.

1) Changing the properties of gkrellm doesn't help (any way I had "Use window manager decorations" unchecked).

2) This problem happens on my laptop computer. On my desktop computer at home I don't have this problem, even though both have F9 with the latest updates, running F9, similar video chip, same procesor type, etc.

This is getting very odd.
Comment 7 Bug Zapper 2009-06-09 23:17:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Martí­n Marqués 2009-06-10 07:04:40 EDT
This issue went away some time ago.

Today I have F11 with gkrellm-2.3.2-4.fc11.x86_64 and I don't experience this problem.
Comment 9 Hans de Goede 2009-06-10 08:08:02 EDT
Closing per comment #9

Note You need to log in before you can comment on or make changes to this bug.